// priority: 100

onEvent('jei.hide.items', event => {
	//drp vanilla items
	event.hide('minecraft:barrier');
	event.hide('minecraft:structure_block');
    event.hide('minecraft:structure_void');
	event.hide('minecraft:light');
	event.hide('minecraft:jigsaw');
	event.hide('minecraft:command_block');
    event.hide('minecraft:repeating_command_block');
    event.hide('minecraft:chain_command_block');
	event.hide('minecraft:command_block_minecart');
    event.hide('minecraft:debug_stick');

	//drp modded items
	event.hide('itemfilters:custom');
	event.hide('itemfilters:max_count');
	event.hide('itemfilters:strong_nbt');
	event.hide('itemfilters:weak_nbt');
	event.hide('itemfilters:xor');
	event.hide('itemfilters:or');
	event.hide('itemfilters:not');
	event.hide('itemfilters:and');
	event.hide('itemfilters:always_true');
	event.hide('itemfilters:always_false');
	event.hide('itemfilters:block');
	event.hide('itemfilters:damage');
	event.hide('itemfilters:id_regex');
	event.hide('itemfilters:mod');
	event.hide('itemfilters:tag');
	event.hide('ftbquests:book');
	event.hide('ftbquests:missing_item');
	event.hide('ftbquests:custom_icon');
	event.hide('ftbquests:barrier');
	event.hide('ftbquests:stage_barrier');
	event.hide('ftbquests:detector');
	event.hide('ftbquests:loot_crate_opener');
	event.hide('ftbquests:screen_1');
	event.hide('ftbquests:screen_3');
	event.hide('ftbquests:screen_5');
	event.hide('ftbquests:screen_7');
	event.hide('ftbquests:task_screen_configurator');
	event.hide('jackseconomy:importer');
	event.hide('jackseconomy:exporter');
	event.hide('jackseconomy:admin_shop');
	event.hide('jackseconomy:currency_converter');
    event.hide('jackseconomy:wallet');
	event.hide('create:creative_motor');
	event.hide('create:creative_blaze_cake');
	event.hide('create:creative_crate');
	event.hide('create:creative_fluid_tank');
	event.hide('create:handheld_worldshaper');
	event.hide('createcasing:creative_cogwheel');
	event.hide('createcasing:mldeg_shaft');
	event.hide('create_sa:creative_filling_tank');
	event.hide('createaddition:creative_energy');
	event.hide('storagedrawers:creative_vending_upgrade');
	event.hide('storagedrawers:creative_storage_upgrade');
})